import Propellor
import Propellor.CmdLine
import qualified Propellor.Property.Apt as Apt
import qualified Propellor.Property.Cron as Cron

main :: IO ()
main = defaultMain hosts

hosts :: [Host]
hosts =
        [ host "hermit"
            & os (System (Debian (Stable "jessie")) "amd64")
            & Apt.stdSourcesList
            & Apt.installed ["ssh", "build-essential"]
            & Cron.runPropellor (Cron.Times "30 * * * *")
        , host "empress"
            & os (System (Debian (Stable "jessie")) "amd64")
            & Apt.stdSourcesList
            & Apt.installed ["ssh", "build-essential"]
            & Cron.runPropellor (Cron.Times "30 * * * *")
        ]
